<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/shape/include/shape.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('shape_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">shape.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="shape_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Daniele Giuliani on 2/21/22.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef DISTROINFOS_SHAPE_H</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define DISTROINFOS_SHAPE_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;../../vectors/include/vectors.h&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifdef SHAPE_IMPORT</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#define EXTERN</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="shape_8h.html#a77366c1bd428629dc898e188bfd182a3">   13</a></span>&#160;<span class="preprocessor">#define EXTERN extern</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="shape_8h.html#a09423b252e882c69c9a3cd7026e359a9">   16</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_s_h_a_p_e.html">SHAPE</a> <a class="code" href="struct_s_h_a_p_e.html">ShapeClass</a>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="struct_s_h_a_p_e.html">   18</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_s_h_a_p_e.html">SHAPE</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="struct_s_h_a_p_e.html#a0399eb78125961fc22085d4aac6b0d15">   19</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">void</span> *<span class="keyword">class</span>;  <span class="comment">/* must be first */</span></div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="struct_s_h_a_p_e.html#a1fef0ae52631420c49d421e1dedf4df2">   20</a></span>&#160;    <a class="code" href="struct_v_e_c3.html">Vec3Class</a> *<a class="code" href="struct_s_h_a_p_e.html#a1fef0ae52631420c49d421e1dedf4df2">position</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="struct_s_h_a_p_e.html#a084c753c6cdd793a4f33b895d977a391">   21</a></span>&#160;    <a class="code" href="struct_v_e_c4.html">Vec4Class</a> *<a class="code" href="struct_s_h_a_p_e.html#a084c753c6cdd793a4f33b895d977a391">rotation</a>;</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="struct_s_h_a_p_e.html#ae7b3a3603b6f43a2d65363cc7e56c5ee">   22</a></span>&#160;    <a class="code" href="struct_v_e_c3.html">Vec3Class</a> *(*setPosition) (<a class="code" href="struct_s_h_a_p_e.html">ShapeClass</a>* <span class="keyword">self</span>, <span class="keywordtype">double</span> x, <span class="keywordtype">double</span> y, <span class="keywordtype">double</span> z);</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="struct_s_h_a_p_e.html#a86da2bc5d4f7216d6ba559b39be99cdf">   23</a></span>&#160;    <a class="code" href="struct_v_e_c4.html">Vec4Class</a> *(*setRotation) (<a class="code" href="struct_s_h_a_p_e.html">ShapeClass</a>* <span class="keyword">self</span>, <span class="keywordtype">double</span> x, <span class="keywordtype">double</span> y, <span class="keywordtype">double</span> z, <span class="keywordtype">double</span> w);</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;};</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="shape_8h.html#a22c13ec1e77d6822e1ead721a8c2ae14">   34</a></span>&#160;<a class="code" href="shape_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keyword">const</span> <span class="keywordtype">void</span> * <a class="code" href="shape_8h.html#a22c13ec1e77d6822e1ead721a8c2ae14">Shape</a>;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#undef SHAPE_IMPORT</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#undef EXTERN</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#endif //DISTROINFOS_SHAPE_H</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astruct_s_h_a_p_e_html_a1fef0ae52631420c49d421e1dedf4df2"><div class="ttname"><a href="struct_s_h_a_p_e.html#a1fef0ae52631420c49d421e1dedf4df2">SHAPE::position</a></div><div class="ttdeci">Vec3Class * position</div><div class="ttdef"><b>Definition:</b> shape.h:20</div></div>
<div class="ttc" id="astruct_s_h_a_p_e_html_a084c753c6cdd793a4f33b895d977a391"><div class="ttname"><a href="struct_s_h_a_p_e.html#a084c753c6cdd793a4f33b895d977a391">SHAPE::rotation</a></div><div class="ttdeci">Vec4Class * rotation</div><div class="ttdef"><b>Definition:</b> shape.h:21</div></div>
<div class="ttc" id="ashape_8h_html_a77366c1bd428629dc898e188bfd182a3"><div class="ttname"><a href="shape_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a></div><div class="ttdeci">#define EXTERN</div><div class="ttdef"><b>Definition:</b> shape.h:13</div></div>
<div class="ttc" id="astruct_v_e_c4_html"><div class="ttname"><a href="struct_v_e_c4.html">VEC4</a></div><div class="ttdef"><b>Definition:</b> vec4.h:16</div></div>
<div class="ttc" id="astruct_s_h_a_p_e_html"><div class="ttname"><a href="struct_s_h_a_p_e.html">SHAPE</a></div><div class="ttdef"><b>Definition:</b> shape.h:18</div></div>
<div class="ttc" id="astruct_v_e_c3_html"><div class="ttname"><a href="struct_v_e_c3.html">VEC3</a></div><div class="ttdef"><b>Definition:</b> vec3.h:16</div></div>
<div class="ttc" id="ashape_8h_html_a22c13ec1e77d6822e1ead721a8c2ae14"><div class="ttname"><a href="shape_8h.html#a22c13ec1e77d6822e1ead721a8c2ae14">Shape</a></div><div class="ttdeci">const EXTERN void * Shape</div><div class="ttdef"><b>Definition:</b> shape.h:34</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_e7f8eb48ebc3b05a0a9fcb921996009e.html">shape</a></li><li class="navelem"><a class="el" href="dir_d684dc95c6b95b68d043057491a021f5.html">include</a></li><li class="navelem"><a class="el" href="shape_8h.html">shape.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
